/* Options: Date: 2026-06-20 21:22:29 Version: 8.80 Tip: To override a DTO option, remove "//" prefix before updating BaseUrl: https://api.simplified.id/v2 //Package: //AddServiceStackTypes: True //AddResponseStatus: False //AddImplicitVersion: //AddDescriptionAsComments: True IncludeTypes: AddBulkSearch.* //ExcludeTypes: //InitializeCollections: False //TreatTypesAsStrings: //DefaultImports: java.math.*,java.util.*,java.io.InputStream,net.servicestack.client.*,com.google.gson.annotations.*,com.google.gson.reflect.* */ import java.math.* import java.util.* import java.io.InputStream import net.servicestack.client.* import com.google.gson.annotations.* import com.google.gson.reflect.* @Route(Path="/bulksearches/create", Verbs="POST") @DataContract open class AddBulkSearch : BaseRequest(), IReturn { @DataMember open var request:AddBulkSearchRequest? = null companion object { private val responseType = AddBulkSearchResponse::class.java } override fun getResponseType(): Any? = AddBulkSearch.responseType } @DataContract open class AddBulkSearchResponse { @DataMember @SerializedName("data") open var Data:AddBulkSearchData? = null } @DataContract open class Authentication { /** * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */ @DataMember @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body") open var apiUserId:String? = null /** * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */ @DataMember @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body") open var apiUserKey:String? = null /** * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */ @DataMember @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body") open var userId:String? = null } @DataContract open class BaseRequest : IBaseRequest { /** * The authentication credentials */ @DataMember @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body") override var authentication:Authentication? = null } interface IBaseRequest { var authentication:Authentication? } open class AddBulkSearchRequest { open var isSanctionsSearch:Boolean? = null open var isPepSearch:Boolean? = null @SerializedName("type") open var Type:String? = null open var selectedLists:ArrayOfLists? = null } open class AddBulkSearchData : BaseResponse() { open var bulkSearchStatus:BulkSearchStatus? = null } open class ArrayOfLists : ArrayList() { } open class BaseResponse : IBaseDataResponse, IHasResponseStatus { /** * The status of the response */ @ApiMember(Description="The status of the response") override var responseStatus:ResponseStatus? = null } interface IBaseDataResponse { var responseStatus:ResponseStatus? } interface IHasResponseStatus { var responseStatus:ResponseStatus? } open class BulkSearchStatus { open var bulkSearchId:Int? = null open var success:Boolean? = null open var status:String? = null open var total:Int? = null open var message:String? = null open var processed:Int? = null open var isPepSearch:Boolean? = null open var isSanctionsSearch:Boolean? = null open var totalPep:Int? = null open var processedPep:Int? = null open var totalSanctions:Int? = null open var processedSanctions:Int? = null } open class ArrayOfResponseError : ArrayList() { }